Hi All,

Chris Withers wrote:
> Any ideas what this means or where it's coming from?
> Module ZODB.Connection, line 808, in setstate
> Module ZODB.Connection, line 876, in _setstate
> Module ZODB.serialize, line 604, in setGhostState
> Module ZODB.serialize, line 597, in getState
> TypeError: ('argument list must be a tuple', <class 
> 'Products.ParsedXML.DOM.Core.Document'>, None)

I tracked this back to some documents which hadn't been changed in a few 

I worked around this by writing a Stepper job to go throguh and 
load/save all the affected document in Zope 2.9 before upgrading, which 
seems to have solved the problems in Zope 2.12.

If anyone's interested, I have a ParsedXML product that works in Zope 
2.12 that I'm happy to release...



Simplistix - Content Management, Zope & Python Consulting
            - http://www.simplistix.co.uk
Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to